AbstractScopedTestElement (Apache JMeter dist API)
Description: declaration: package: org.apache.jmeter.testelement, class: AbstractScopedTestElement

Package org.apache.jmeter.testelement

# Class AbstractScopedTestElement

java.lang.Object
org.apache.jmeter.testelement.AbstractTestElement
org.apache.jmeter.testelement.AbstractScopedTestElement

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Searchable`, `org.apache.jmeter.testelement.TestElement`

Direct Known Subclasses:
  `AbstractScopedAssertion`, `BoundaryExtractor`, `HtmlExtractor`, `JMESPathExtractor`, `JSONPostProcessor`, `RegexExtractor`, `XPath2Extractor`, `XPathExtractor`

public abstract class AbstractScopedTestElement extends AbstractTestElement

Super-class for TestElements that can be applied to main sample, sub-samples or both. [Assertions use a different class because they use a different value for the `getScopeName()` constant]

Their corresponding GUI classes need to add the ScopePanel to the GUI using the AbstractXXXGui methods:

- createScopePanel()
- saveScopeSettings()
- showScopeSettings()

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.apache.jmeter.testelement.TestElement

  `org.apache.jmeter.testelement.TestElement.Companion`

- ## Field Summary

  ### Fields inherited from interface org.apache.jmeter.testelement.TestElement

  `COMMENTS, Companion, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractScopedTestElement()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `fetchScope()`
  Get the scope setting
  `org.apache.jmeter.testelement.schema.PropertiesAccessor<? extends AbstractScopedTestElement,? extends org.apache.jmeter.testelement.AbstractScopedTestElementSchema>`
  `getProps()`
  `protected List<SampleResult>`
  `getSampleList(SampleResult result)`
  Generate a list of qualifying sample results, depending on the scope.
  `org.apache.jmeter.testelement.AbstractScopedTestElementSchema`
  `getSchema()`
  `protected String`
  `getScopeName()`
  `String`
  `getVariableName()`
  `boolean`
  `isScopeAll(String scope)`
  Is the assertion to be applied to the all samples?
  `boolean`
  `isScopeChildren(String scope)`
  Is the assertion to be applied to the sub-samples (children)?
  `boolean`
  `isScopeParent(String scope)`
  Is the assertion to be applied to the main (parent) sample?
  `protected boolean`
  `isScopeVariable()`
  Is the assertion to be applied to the all samples?
  `boolean`
  `isScopeVariable(String scope)`
  Is the assertion to be applied to the all samples?
  `void`
  `setScopeAll()`
  `void`
  `setScopeChildren()`
  `void`
  `setScopeParent()`
  `void`
  `setScopeVariable(String variableName)`

  ### Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement

  `addPropertiesValues, addProperty, addProperty, addTestElement, canRemove, clear, clearTemporary, clearTestElementChildren, clone, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getPropertyOrNull, getSearchableTokens, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setEnabled, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.jmeter.testelement.TestElement

  `get, get, get, get, get, get, get, get, get, getOrCreate, getOrCreate, getOrNull, getOrNull, getOrNull, getPropertyOrNull, getString, removed, removeProperty, set, set, set, set, set, set, set, set, set`

- ## Constructor Details

  - ### AbstractScopedTestElement

    public AbstractScopedTestElement()

- ## Method Details

  - ### getSchema

    public org.apache.jmeter.testelement.AbstractScopedTestElementSchema getSchema()

  - ### getProps

    public org.apache.jmeter.testelement.schema.PropertiesAccessor<? extends AbstractScopedTestElement,? extends org.apache.jmeter.testelement.AbstractScopedTestElementSchema> getProps()

  - ### getScopeName

    protected String getScopeName()

  - ### fetchScope

    public String fetchScope()
    Get the scope setting
    Returns:
      the scope, default parent

  - ### isScopeParent

    public boolean isScopeParent(String scope)
    Is the assertion to be applied to the main (parent) sample?
    Parameters:
      `scope` - name of the scope to be checked
    Returns:
      `true` if the assertion is to be applied to the parent sample.

  - ### isScopeChildren

    public boolean isScopeChildren(String scope)
    Is the assertion to be applied to the sub-samples (children)?
    Parameters:
      `scope` - name of the scope to be checked
    Returns:
      `true` if the assertion is to be applied to the children.

  - ### isScopeAll

    public boolean isScopeAll(String scope)
    Is the assertion to be applied to the all samples?
    Parameters:
      `scope` - name of the scope to be checked
    Returns:
      `true` if the assertion is to be applied to the all samples.

  - ### isScopeVariable

    public boolean isScopeVariable(String scope)
    Is the assertion to be applied to the all samples?
    Parameters:
      `scope` - name of the scope to be checked
    Returns:
      `true` if the assertion is to be applied to the all samples.

  - ### isScopeVariable

    protected boolean isScopeVariable()
    Is the assertion to be applied to the all samples?
    Returns:
      `true` if the assertion is to be applied to the all samples.

  - ### getVariableName

    public String getVariableName()

  - ### setScopeParent

    public void setScopeParent()

  - ### setScopeChildren

    public void setScopeChildren()

  - ### setScopeAll

    public void setScopeAll()

  - ### setScopeVariable

    public void setScopeVariable(String variableName)

  - ### getSampleList

    protected List<SampleResult> getSampleList(SampleResult result)
    Generate a list of qualifying sample results, depending on the scope.
    Parameters:
      `result` - current sample
    Returns:
      list containing the current sample and/or its child samples